package CRSDK;

import com.sun.jna.IntegerType;

/**
 * CrInt64u represents an unsigned 64-bit integer type for the Camera Remote SDK.
 * It extends the IntegerType class from JNA to handle unsigned integers.
 */
@SuppressWarnings("unused")
public class CrInt64u extends IntegerType {

    public CrInt64u() {
        super(8, 0, true); // 8 bytes for unsigned 64-bit integer
    }

    public CrInt64u(long value) {
        super(8, value, true); // 8 bytes for unsigned 64-bit integer
    }
}
